# Created by pyp2rpm-3.3.7
%global pypi_name PyQuota
%global pypi_version 0.0.3

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        A simple python wrapper for C apis of quotactl

License:        None
URL:            https://github.com/tjumyk/pyquota
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/PyQuota-%{pypi_version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 PyQuotaPyQuota is a simple python wrapper for C apis of [quotactl]( kernel
versions: >2.4.22, <5.Supported commands in C APIs:- Q_QUOTAON - Q_QUOTAOFF -
Q_GETQUOTA - Q_GETNEXTQUOTA (requires kernel > 4.6) - Q_SETQUOTA - Q_GETINFO -
Q_SETINFO - Q_GETFMT - Q_SYNCCurrently, none of the commands for XFS
filesystem, e.g. Q_XQUOTAON, are supported due to lack of documentations and
testing...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
 PyQuotaPyQuota is a simple python wrapper for C apis of [quotactl]( kernel
versions: >2.4.22, <5.Supported commands in C APIs:- Q_QUOTAON - Q_QUOTAOFF -
Q_GETQUOTA - Q_GETNEXTQUOTA (requires kernel > 4.6) - Q_SETQUOTA - Q_GETINFO -
Q_SETINFO - Q_GETFMT - Q_SYNCCurrently, none of the commands for XFS
filesystem, e.g. Q_XQUOTAON, are supported due to lack of documentations and
testing...


%prep
%autosetup -n PyQuota-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitearch}/pyquota.cpython-36m-x86_64-linux-gnu.so
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Fri Jul 30 2021 root - 0.0.3-1
- Initial package.
